gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.Windows.Invisible

Contents

- Class Hierarchy
- Types
- Constructors
- Methods

Description

A widget which is not displayed The `Invisible` widget is used internally in GTK+, and is probably not very useful for application developers. It is used for reliable pointer grabs and selection handling in the code for drag-and-drop.

Synopsis

- data Invisible
- invisibleNew :: IO Invisible
- invisibleNewForScreen :: Screen -> IO Invisible
- invisibleSetScreen :: Invisible -> Screen -> IO ()
- invisibleGetScreen :: Invisible -> IO Screen

# Class Hierarchy

    |  GObject
    |   +----Object
    |         +----Widget
    |               +----Invisible

# Types

data Invisible Source #

#### Instances

Instances details

Eq Invisible Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: Invisible -> Invisible -> Bool Source # (/=) :: Invisible -> Invisible -> Bool Source #
Ord Invisible Source # |

Instance details

Defined in Graphics.UI.Gtk.Types

Methods

compare :: Invisible -> Invisible -> Ordering Source #

(<) :: Invisible -> Invisible -> Bool Source #

(<=) :: Invisible -> Invisible -> Bool Source #

(>) :: Invisible -> Invisible -> Bool Source #

(>=) :: Invisible -> Invisible -> Bool Source #

max :: Invisible -> Invisible -> Invisible Source #

min :: Invisible -> Invisible -> Invisible Source #

GObjectClass Invisible Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: Invisible -> GObject Source # unsafeCastGObject :: GObject -> Invisible Source #
WidgetClass Invisible Source # |
Instance details Defined in Graphics.UI.Gtk.Types

# Constructors

invisibleNew :: IO Invisible Source #

Creates a new `Invisible`.

invisibleNewForScreen Source #

Arguments

:: Screen | `screen` - a `Screen` which identifies on which the new `Invisible` will be created.
-> IO Invisible |

Creates a new `Invisible` object for a specified screen

- Available since Gdk version 2.2

# Methods

invisibleSetScreen Source #

Arguments

:: Invisible |
-> Screen | `screen` - the `Screen` to set
-> IO () |

Sets the `Screen` where the `Invisible` object will be displayed.

- Available since Gdk version 2.2

invisibleGetScreen :: Invisible -> IO Screen Source #

Returns the `Screen` object associated with invisible

- Available since Gdk version 2.2